Summary: f2c program and static libraries
Name: f2c
Version: 19970709
Release: 1A
Copyright: distributable
Group: Development/Languages/fortran
Source: netlib.bell-labs.com:/netlib/f2c.tar
Patch: f2c.linux.patch
Patch1: f2c.glibc.patch

%description
f2c is a Fortran to C translation and building program.  It can
take fortran source code, convert it to C, and then use gcc to
compile it into an executable.  

%package libs
Group:Libraries
Summary: shared libs for running dynamically linked fortran programs

%description libs
These are the shared libs for f2c.  They are required if you want to 
build dynamic fortran executables.

%prep
%setup -n f2c
gunzip libf77.gz ; sh libf77 ; rm -f libf77
gunzip libi77.gz ; sh libi77 ; rm -f libi77
(cd src ; gunzip --force *.gz)

%patch -p 1
%ifarch axp ppc
%patch1 -p 1
%endif

%build

%ifarch axp
MFLAG=-mieee
%endif

gunzip f2c.h.gz
cp f2c.h libF77
cp f2c.h libI77
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MFLAG="$MFLAG" -f makeall
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MFLAG="$MFLAG" -f makeall shared

%install
install -o 0 -g 0 -m 644 libf2c.a /usr/lib
install -o 0 -g 0 -m 644 f2c.h /usr/include
install -s -o 0 -g 0 -m 755 src/f2c /usr/bin/f2c
gunzip f2c.1.gz
install -o 0 -g 0 -m 644 f2c.1 /usr/man/man1/f2c.1

/sbin/ldconfig
install -o 0 -g 0 -m 755 libf2c.so.970709 /usr/lib
ln -sf /usr/lib/libf2c.so.970709 /usr/lib/libf2c.so
 
%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc f2c.ps.gz readme.gz permission.gz disclaimer.gz changes.gz
/usr/lib/libf2c.a
/usr/include/f2c.h
/usr/bin/f2c
/usr/man/man1/f2c.1

%files libs
/usr/lib/libf2c.so.970709
/usr/lib/libf2c.so


